Skip to main content
GET
/
api
/
reports
/
email
/
{id}
Get individual email campaign reports
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/reports/email/{id} \
  --header 'X-API-Key: <api-key>'
{
  "linkActivity": [
    {
      "clicks": {
        "total": 0,
        "unique": 0
      },
      "id": "66f1a6e4698f1bca60424808",
      "path": "https://instagram.com/"
    }
  ],
  "stats": {
    "clicks": {
      "last": "2024-09-27T18:28:40.575Z",
      "rate": 25.8,
      "unique": 169
    },
    "complaints": 0,
    "delivered": 655,
    "hardBounces": {
      "count": 25,
      "rate": 3.81
    },
    "opens": {
      "last": "2024-09-27T17:33:45.464Z",
      "rate": 32.06,
      "unique": 210
    },
    "sent": 697,
    "softBounces": {
      "count": 17,
      "rate": 2.59
    },
    "totalBounces": {
      "count": 42,
      "rate": 6.87
    },
    "unsubscribes": 0
  }
}

Authorizations

X-API-Key
string
header
required

API key authentication

Path Parameters

id
string
required

email campaign identifier

Response

200 - application/json

Successfully retrieved report

List of link activity

stats
object

Statistics of the campaign